%

clear;
close all;

%lon=[-30:2.5:30], lat=[-10:2.5:30]

status=load('eof_1025_jjas.mat','C','olr');
C=status.C;
olr=status.olr;
clear status;

olr=olr';
PC1=olr*C;

cosa=zeros(4,3416,425);
% boucle sur les VP
for a=1:4;
      for b=1:3416 % boucle sur le temps
          for c=1:425 % boucle sur l espace
             cosa(a,b,c)=PC1(b,426-a)*C(c,426-a);
          end;
      end;
end;

cosa1(:,:)=cosa(1,:,:);
cosa1=reshape(cosa1,3416,25,17);

cosa2(:,:)=cosa(2,:,:);
cosa2=reshape(cosa2,3416,25,17);

cosabis=cosa(2:3,:,:);
cosa23(:,:)=sum(cosabis);
clear cosabis;
cosa23=reshape(cosa23,3416,25,17);

cosabis=cosa(2:4,:,:);
cosa24(:,:)=sum(cosabis);
clear cosabis;
cosa24=reshape(cosa24,3416,25,17);

figure(1);
orient('landscape')
figure(2);
orient('landscape')
figure(3);
orient('landscape')

% On selectionne la demaine geographique

% la latitude : 5N (7) 12.5N (10)
% la longitude : 10W (9) 10E(17)
lat1=7;
lat2=10;
lon1=9;
lon2=17;
taille=(lat2-lat1+1)*(lon2-lon1+1);

cosa23=cosa23(:,lon1:lon2,lat1:lat2);
clear cosi2;
cosa23=reshape(cosa23,3416,taille);
cosa23=cosa23';
cosa23=mean(cosa23);
cosa23=cosa23';
status=save('eof23_1025.txt','cosa23','-ASCII');
cosa23=reshape(cosa23,122,28);

cosa24=cosa24(:,lon1:lon2,lat1:lat2);
clear cosi2;
cosa24=reshape(cosa24,3416,taille);
cosa24=cosa24';
cosa24=mean(cosa24);
cosa24=cosa24';
status=save('eof24_1025.txt','cosa24','-ASCII');
cosa24=reshape(cosa24,122,28);

fid=fopen('sahel_scav.dat','r');
v=fread(fid,3538,'float');
fclose(fid);

% on met sous la forme annee mois
ind_olr=reshape(v,122,29);
clear v;

% on selectionne les annees de 1979 a 2006
ind_olr=ind_olr(:,1:28);

for a=1:28;
     if a<12;
        figure(1);
        subplot(4,3,a);
     elseif a<24
        figure(2);
        subplot(4,3,a-11);
    else
        figure(3);
        subplot(4,3,a-23);
     end;
     y2=ind_olr(:,a);
     y4=cosa24(:,a);
     x=[1:122]';
     plot(x,y2);
     hold on;
     plot(x,y4,'k');
     y5=zeros(122,1);
     plot(x,y5,'k:');

     title(a+1978,'Fontsize',8);
     if a==2;
         text(0,65,'OLR 5 -12.5N et 10W - 10E');
     elseif a==13;
         text(0,65,'OLR 5 -12.5N et 10W - 10E');
     end;
     set (gca,'tickDir','out');
     if a==11;
        aa=legend('OLR VP2-3','OLR NOAA');
        set (aa,'fontsize',8,'Position',[0.6800 0.1039 0.2470 0.1642])
        legend boxoff;
     elseif a==22;
        clear aa;
        aa=legend('OLR VP2-3','OLR NOAA');
        set (aa,'fontsize',8,'Position',[0.6800 0.1039 0.2470 0.1642])
        legend boxoff;
     end;
     axis([1 122 -15 15]);
     set (gca,'YTick',[-15:5:15],'YTickLabel',[-15:5:15],'fontname','Arial','fontsize',6);
   set (gca,'XTick',[10:10:122],'XTickLabel',[10:10:122],'fontname','Arial','fontsize',6);

end;

figure(1);
print('-depsc2','reconstitution1_eof234_1025.eps');
figure(2);
print('-depsc2','reconstitution2_eof234_1025.eps');
figure(3);
print('-depsc2','reconstitution3_eof234_1025.eps');
